Subject: [bug#71076] [PATCH 36/81] gnu: rust-webpki-0.102: Update to 0.102.4.

From: Herman Rimm <[email-masked]>
Date: Mon, 20 May 2024 10:58:41 +0200

* gnu/packages/crates-tls.scm (rust-webpki-0.102): Update from 0.102.1
to 0.102.4.
[cargo-development-inputs]: Replace rust-base64-0.21 with 0.22 and
rust-rcgen-0.12 with 0.13.

Change-Id: I8195ddeb2daed16efe2addbb6107515820d76742
---
 gnu/packages/crates-tls.scm | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

diff --git a/gnu/packages/crates-tls.scm b/gnu/packages/crates-tls.scm
index 72d9609b5d..1069bf7e17 100644
--- a/gnu/packages/crates-tls.scm
+++ b/gnu/packages/crates-tls.scm
@@ -1488,14 +1488,14 @@ (define-public rust-rustls-platform-verifier-android-0.1
 (define-public rust-rustls-webpki-0.102
   (package
     (name "rust-rustls-webpki")
-    (version "0.102.1")
+    (version "0.102.4")
     (source
      (origin
        (method url-fetch)
        (uri (crate-uri "rustls-webpki" version))
        (file-name (string-append name "-" version ".tar.gz"))
        (sha256
-        (base32 "0nz9d3xhy8cg6anmvq64scyiva8bglrc6j3v6bdxw2f96xha4k7g"))))
+        (base32 "0gmk2abk7y2cdppqlaqmnhcv690p19af9n66sjvw84z9j9z8yi7z"))))
     (build-system cargo-build-system)
     (arguments
      `(#:tests? #f
@@ -1503,11 +1503,11 @@ (define-public rust-rustls-webpki-0.102
                        ("rust-ring" ,rust-ring-0.17)
                        ("rust-rustls-pki-types" ,rust-rustls-pki-types-1)
                        ("rust-untrusted" ,rust-untrusted-0.9))
-       #:cargo-development-inputs (("rust-base64" ,rust-base64-0.21)
+       #:cargo-development-inputs (("rust-base64" ,rust-base64-0.22)
                                    ("rust-bencher" ,rust-bencher-0.1)
                                    ("rust-bzip2" ,rust-bzip2-0.4)
                                    ("rust-once-cell" ,rust-once-cell-1)
-                                   ("rust-rcgen" ,rust-rcgen-0.12)
+                                   ("rust-rcgen" ,rust-rcgen-0.13)
                                    ("rust-serde" ,rust-serde-1)
                                    ("rust-serde-json" ,rust-serde-json-1))))
     (home-page "https://github.com/rustls/webpki")
-- 
2.41.0